#!/bin/bash

# slave not configured
RES=$(mysql -uroot -p"$MYSQL_ROOT_PASSWORD" -e 'SHOW SLAVE STATUS\G')
if [ "a$RES" = "a" ]; then
    exit 0
fi

# slave ok
RES=$(mysql -uroot -p"$MYSQL_ROOT_PASSWORD" -e 'SHOW SLAVE STATUS\G' | egrep '(Slave_IO_Running|Slave_SQL_Running):' | awk -F: '{print $2}' | tr '\n' ',')
if [ "$RES" = " Yes, Yes," ]; then
    exit 0
fi

# slave not ok
exit 1
    